Get Credit Memo Search
curl --request GET \
--url https://api.example.com/v2/credit-memos/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/credit-memos/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/credit-memos/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"credit_memo": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"number": "<string>",
"status": "draft",
"currency": "ADP",
"net_amount": "<string>",
"applied_amount": "<string>",
"remaining_amount": "<string>",
"pending_remaining_amount": "<string>",
"posted_date": "2023-12-25",
"due_date": "2023-12-25",
"paid_at": "2023-11-07T05:31:56Z",
"document_number": "<string>",
"customer_reference": "<string>",
"allowance_reference": "<string>",
"partner": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"account_number": "<string>",
"assignee_id": "<string>",
"business_unit_id": "<string>",
"currency": "ADP",
"email": "<string>",
"name": "<string>",
"legal_name": "<string>",
"phone": "<string>",
"parent_id": "<string>",
"remote_id": "<string>",
"object": "<string>"
},
"object": "<string>"
},
"score": 123,
"match_type": "exact",
"matched_field": "<string>",
"matched_value": "<string>"
}
],
"current_page": 0,
"total_records": 1,
"next_page": 123
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}credit-memos
Get Credit Memo Search
Search Credit Memos
Search with fuzzy matching and pagination.
Note:
Amounts are in standard units (e.g., 10.25 for $10.25 USD)
GET
/
v2
/
credit-memos
/
search
Get Credit Memo Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, 0 indexed.
Required range:
x >= 0Number of records per page.
Required range:
1 <= x <= 500Search query (credit memo number, partner name, reference, etc.)
Amount in standard units (e.g., 10.25 for $10.25 USD) for relevance sorting by remaining balance proximity
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$ISO 4217 currency code for filtering and relevance scoring
Available options:
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARL, ARM, ARP, ARS, ATS, AUD, AWG, AZM, AZN, BAD, BAM, BAN, BBD, BDT, BEC, BEF, BEL, BGL, BGM, BGN, BGO, BHD, BIF, BMD, BND, BOB, BOL, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BRZ, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHE, CHF, CHW, CLE, CLF, CLP, CNH, CNX, CNY, COP, COU, CRC, CSD, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHS, GIP, GMD, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRH, KRO, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MAF, MCF, MDC, MDL, MGA, MGF, MKD, MKN, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVP, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLE, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGX, USD, USN, USS, UYI, UYP, UYU, UYW, UZS, VEB, VED, VEF, VES, VND, VNN, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, YUR, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWD, ZWL, ZWR Filter by credit memo status
Available options:
draft, open, paid, void Filter by partner IDs
Filter by business unit IDs
Minimum relevance score threshold
Required range:
0 <= x <= 1Response
Successful Response
